Bug 850752 - webadin: we do not detect when a boot disk already exist when using the filters under the disk's sub tab
webadin: we do not detect when a boot disk already exist when using the filte...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
unspecified
x86_64 Linux
medium Severity medium
: ---
: 3.1.0
Assigned To: Einav Cohen
Haim
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-22 06:48 EDT by Dafna Ron
Modified: 2016-02-10 14:49 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-25 02:25:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log (14.70 KB, application/x-xz)
2012-08-22 06:48 EDT, Dafna Ron
no flags Details

  None (edit)
Description Dafna Ron 2012-08-22 06:48:00 EDT
Created attachment 606189 [details]
log

Description of problem:

if we create a direct lun disk which is bootable and than create a new regular disk using the filter (selecting images -> new disk) we would not detect that a boot disk already exist and will fail on creation in backend. 

Version-Release number of selected component (if applicable):

si15

How reproducible:

100%

Steps to Reproduce:
1. create a vm -> under the disk's sub tab -> create a new direct lun as bootable
2. filter the view by selecting "Images"
3. create a new disk 
4. create a new disk after selecting box "all" 
  
Actual results:

under the images filer, bootable check box is automatically selected and we would fail on disk creation since there is already a bootable disk 
if we select box "All" we detect the the bootable disk and do not auto select the box. 

Expected results:

even when we create a disk after filtering the view we still have to detect if vm already has a bootable disk 

Additional info: engine log
Comment 1 Itamar Heim 2013-02-25 02:25:01 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.